Index: mibs/d-link/DES-1210-28ME_B2
===================================================================
--- mibs/d-link/DES-1210-28ME_B2	(revision 11288)
+++ mibs/d-link/DES-1210-28ME_B2	(working copy)
@@ -7492,9 +11348,472 @@
                 is SET 'active'. The entry in this table is not used when this 
                 object is SET 'notInService'. An entry created in this table is
                 be deleted when this object is SET 'destroy'."
-           ::= { aclL3RuleEntry 29 }
+           ::= { aclL3RuleEntry 99 }
 
+----------------------------------------------------------------------------------------
 
+        aclv6L3RuleTable OBJECT-TYPE 
+           SYNTAX      SEQUENCE OF Aclv6L3RuleEntry
+           MAX-ACCESS  not-accessible 
+           STATUS      current 
+           DESCRIPTION 
+               " A table to configure L3 filter rules in the system.
+               "
+           ::= { aclL3Rule 2 }
+        
+        aclv6L3RuleEntry OBJECT-TYPE 
+           SYNTAX      Aclv6L3RuleEntry
+           MAX-ACCESS  not-accessible 
+           STATUS      current 
+           DESCRIPTION 
+               " Each entry in this table is a L3 filter rule.
+                 Index to the table is L3 filter number and Profile ID."
+           INDEX {aclv6L3RuleProfileNo, aclv6L3RuleAccessID }
+           ::= { aclv6L3RuleTable 1 }
+           
+        Aclv6L3RuleEntry ::= 
+           SEQUENCE { 
+              aclv6L3RuleAccessID 
+                 Integer32, 
+              aclv6L3RuleProfileNo 
+                 Integer32,
+              aclv6L3RuleProtocol  
+                 INTEGER, 
+              aclv6L3RuleProtocolMask  
+                 OCTET STRING, 
+              aclv6L3RuleICMPMessageType 
+                 Integer32, 
+              aclv6L3RuleICMPMessageCode 
+                 Integer32, 
+              aclv6L3RuleDstIpAddr 
+                 Ipv6Address,
+              aclv6L3RuleSrcIpAddr 
+                 Ipv6Address, 
+              aclv6L3RuleDstIpAddrMask 
+                 Ipv6Address, 
+              aclv6L3RuleSrcIpAddrMask 
+                 Ipv6Address,
+              aclv6L3RuleTcpUdpDstPort
+                 Integer32, 
+              aclv6L3RuleTcpUdpSrcPort
+                 Integer32, 
+              aclv6L3RuleTcpUdpDstPortMask
+                OCTET STRING,         
+              aclv6L3RuleTcpUdpSrcPortMask
+                OCTET STRING,         
+              aclv6L3RuleTcpAckBit
+                 INTEGER,
+              aclv6L3RuleTcpRstBit
+                 INTEGER,
+              aclv6L3RuleTcpUrgBit
+                 INTEGER,
+              aclv6L3RuleTcpPshBit
+                 INTEGER,
+              aclv6L3RuleTcpSynBit
+                 INTEGER,
+              aclv6L3RuleTcpFinBit
+                 INTEGER,
+              aclv6L3RuleTrafficClass
+                 Integer32,
+              aclv6L3RuleAction 
+                 INTEGER, 
+              aclv6L3RuleRateLimit 
+                 Unsigned32,
+              aclv6L3RuleReplaceDSCP 
+                 Integer32,
+              aclv6L3RuleReplace1P 
+                 Integer32,
+              aclv6L3RuleReplaceQueue 
+                 Integer32, 
+-- start CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON 
+              aclv6L3RuleReplaceVLAN
+                 Integer32,
+-- end CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON
+              aclv6L3RuleFilterTimeRange 
+                 OCTET STRING,
+              aclv6L3RulePortList 
+                 PortList,
+              aclv6L3RuleStatus
+                 RowStatus         
+          }
+        
+        aclv6L3RuleAccessID OBJECT-TYPE 
+           SYNTAX      Integer32 (0..250)
+           MAX-ACCESS  read-only 
+           STATUS      current 
+           DESCRIPTION 
+              "L3 Filter rule ID.  0 means auto assign."
+           ::= { aclv6L3RuleEntry 1 }
+            
+        aclv6L3RuleProfileNo OBJECT-TYPE 
+           SYNTAX      Integer32 (1..50)
+           MAX-ACCESS  read-only  
+           STATUS      current 
+           DESCRIPTION 
+              "The Profile ID which this rule join."
+           ::= { aclv6L3RuleEntry 2 }
+              
+        aclv6L3RuleProtocol OBJECT-TYPE 
+           SYNTAX      INTEGER  {     
+           				 tcp(6),
+          				 udp(17),
+           				 icmpv6(58)
+                        } 
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              " The type of protocol to be checked against the packet."
+           ::= { aclv6L3RuleEntry 3 }
+           
+        aclv6L3RuleProtocolMask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-only 
+           STATUS      current 
+           DESCRIPTION 
+              "The IP protocol mask.
+               This field is read-only and copy from it's Profile setting.
+               It will work with the other field,aclL3RuleProtocol, 
+               to caculate a range of IP protocol which is really care.
+               The value is in HEX format.
+              "
+           DEFVAL  { 'FF'h }   
+           ::= { aclv6L3RuleEntry 4 }
+
+        aclv6L3RuleICMPMessageType OBJECT-TYPE 
+           SYNTAX      Integer32 (-1..255)
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+             " The message type to be checked against the packet. If the
+              message type matches with the packet, then the packet will be
+              dropped / allowed based on the action set in aclL3RuleAction.
+              The default value is '-1',which means the rule don't care this 
+              condition.
+              Some ICMP message types are: 
+                   echoReply(0),
+                   destinationUnreachable(3),
+                   sourceQuench(4),
+                   redirect(5),
+                   echoRequest(8),
+                   timeExceeded(11),
+                   parameterProblem(12),
+                   timestampRequest(13),
+                   timestampReply(14),
+                   informationRequest(15),
+                   informationReply(16),
+                   addressMaskRequest(17),
+                   addressMaskReply (18),
+              "
+           DEFVAL  { -1 }
+           ::= { aclv6L3RuleEntry 5 }
+        
+        aclv6L3RuleICMPMessageCode OBJECT-TYPE 
+           SYNTAX      Integer32 (-1..255)
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              " The message code to be checked against the packet. If the
+              packet matches with the message code, then the packet will
+              be dropped / allowed based on the action set in aclL3RuleAction.
+              The default value is '-1', which means the rule don't care this 
+              condition.
+              Some ICMP message codes are :
+                   networkUnreachable(0),
+                   hostUnreachable(1),
+                   protocolUnreachable(2),
+                   portUnreachable(3),
+                   fragmentNeed(4),
+                   sourceRouteFail(5),
+                   destNetworkUnknown(6),
+                   destHostUnknown(7),
+                   srcHostIsolated(8),
+                   destNetworkAdminProhibited(9),
+                   destHostAdminProhibited(10),
+                   networkUnreachableTOS(11),
+                   hostUnreachableTOS(12),
+              "
+           DEFVAL   { -1 }
+           ::= { aclv6L3RuleEntry 6 }     
+        
+        aclv6L3RuleDstIpAddr OBJECT-TYPE 
+           SYNTAX      Ipv6Address
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Destination IP address to be matched with the packet.
+               The default value will be zero, which means the rule 
+               don't care this condition."
+           DEFVAL  { '00000000'h }
+           ::= { aclv6L3RuleEntry 7 }
+        
+        aclv6L3RuleSrcIpAddr OBJECT-TYPE 
+           SYNTAX      Ipv6Address
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Source IP address to be matched with the packet.
+              The default value will be zero, which means the 
+              rule don't care this condition."
+
+           DEFVAL  { '00000000'h }
+           ::= { aclv6L3RuleEntry 8 }
+        
+        aclv6L3RuleDstIpAddrMask OBJECT-TYPE 
+           SYNTAX      Ipv6Address
+           MAX-ACCESS  read-only 
+           STATUS      current 
+           DESCRIPTION 
+              "The IP subnet mask for Destination IP address.
+               This field is read-only and copy from it's Profile setting.
+              "
+           
+           DEFVAL  { 'FFFFFFFF'h }
+           ::= { aclv6L3RuleEntry 9 }
+        
+        aclv6L3RuleSrcIpAddrMask OBJECT-TYPE 
+           SYNTAX      Ipv6Address
+           MAX-ACCESS  read-only 
+           STATUS      current 
+           DESCRIPTION 
+              "The IP subnet mask for Source IP address.
+               This field is read-only and copy from it's Profile setting.
+              "
+           
+           DEFVAL  { 'FFFFFFFF'h }
+           ::= { aclv6L3RuleEntry 10 }
+        
+        aclv6L3RuleTcpUdpDstPort OBJECT-TYPE
+           SYNTAX      Integer32 (-1..65535)
+           MAX-ACCESS  read-write
+           STATUS      current
+           DESCRIPTION
+              "The TCP / UDP destination port. The default value is -1, 
+              which means the rule don't care this condition."
+           DEFVAL   { -1 }
+           ::= { aclv6L3RuleEntry 11 }
+        
+        aclv6L3RuleTcpUdpSrcPort OBJECT-TYPE
+           SYNTAX      Integer32 (-1..65535)
+           MAX-ACCESS  read-write
+           STATUS      current
+           DESCRIPTION
+              "The TCP / UDP source port. The default value is -1, 
+              which means the rule don't care this condition."
+           DEFVAL   { -1 }
+           ::= { aclv6L3RuleEntry 12 }
+           
+        aclv6L3RuleTcpUdpDstPortMask OBJECT-TYPE
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              "The TCP / UDP Destination port Mask.
+               This field is read-only and copy from it's Profile setting.
+              "
+           ::= { aclv6L3RuleEntry 13 }
+        
+        aclv6L3RuleTcpUdpSrcPortMask OBJECT-TYPE
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              "The TCP / UDP Source port Mask.
+               This field is read-only and copy from it's Profile setting.
+              "
+           ::= { aclv6L3RuleEntry 14 } 
+           
+        aclv6L3RuleTcpAckBit		OBJECT-TYPE
+        	SYNTAX	INTEGER	{
+        	                    dont-care(-1),	
+        						establish(1),
+        						notEstablish(2)
+        					}
+        	MAX-ACCESS	read-create
+        	STATUS		current
+        	DESCRIPTION
+        		" The TCP ACK bit to be checked against the packet. The default 
+        		value is 'dont_care'(-1), which means the rule don't care this 
+        		condition."
+        	DEFVAL	{ dont-care }
+        	::= { aclv6L3RuleEntry 15 }
+        
+        aclv6L3RuleTcpRstBit	 OBJECT-TYPE
+        	SYNTAX	INTEGER	{
+        	                    dont-care(-1),	
+        						establish(1),
+        						notEstablish(2)
+        					}
+        	MAX-ACCESS	read-create
+        	STATUS		current
+        	DESCRIPTION
+        		" The TCP RST bit to be checked against the packet. The default 
+        		value is 'dont_care'(-1), which means the rule don't care this 
+        		condition."
+        	DEFVAL	{ dont-care }
+        	::= { aclv6L3RuleEntry 16 }
+        
+        aclv6L3RuleTcpUrgBit	 OBJECT-TYPE
+        	SYNTAX	INTEGER	{
+        	                    dont-care(-1),	
+        						establish(1),
+        						notEstablish(2)
+        					}
+        	MAX-ACCESS	read-create
+        	STATUS		current
+        	DESCRIPTION
+        		" The TCP Urg bit to be checked against the packet. The default 
+        		value is 'dont_care'(-1), which means the rule don't care this 
+        		condition."
+        	DEFVAL	{ dont-care }
+        	::= { aclv6L3RuleEntry 17 }
+        	
+        aclv6L3RuleTcpPshBit	 OBJECT-TYPE
+        	SYNTAX	INTEGER	{
+        	                    dont-care(-1),	
+        						establish(1),
+        						notEstablish(2)
+        					}
+        	MAX-ACCESS	read-create
+        	STATUS		current
+        	DESCRIPTION
+        		" The TCP Psh bit to be checked against the packet. The default 
+        		value is 'dont_care'(-1). which means the rule don't care this 
+        		condition."
+        	DEFVAL	{ dont-care }
+        	::= { aclv6L3RuleEntry 18 }	
+        
+        aclv6L3RuleTcpSynBit	 OBJECT-TYPE
+        	SYNTAX	INTEGER	{
+        	                    dont-care(-1),	
+        						establish(1),
+        						notEstablish(2)
+        					}
+        	MAX-ACCESS	read-create
+        	STATUS		current
+        	DESCRIPTION
+        		" The TCP Syn bit to be checked against the packet. The default 
+        		value is 'dont_care'(-1), which means the rule don't care this condition."
+        	DEFVAL	{ dont-care }
+        	::= { aclv6L3RuleEntry 19 }		
+        
+        aclv6L3RuleTcpFinBit	 OBJECT-TYPE
+        	SYNTAX	INTEGER	{
+        	                    dont-care(-1),	
+        						establish(1),
+        						notEstablish(2)
+        					}
+        	MAX-ACCESS	read-create
+        	STATUS		current
+        	DESCRIPTION
+        		" The TCP Fin bit to be checked against the packet. The default 
+        		value is 'dont_care'(-1), which means the rule don't care this 
+        		condition."
+        	DEFVAL	{ dont-care }
+        	::= { aclv6L3RuleEntry 20 }		  
+        
+        aclv6L3RuleTrafficClass		OBJECT-TYPE
+        	SYNTAX		Integer32 (-1..63)
+        	MAX-ACCESS	read-create
+        	STATUS		current
+        	DESCRIPTION
+        		" The IP Dscp value to be checked against the packet. 
+                A default value is '-1', which means the rule don't 
+                care this condition."
+        	DEFVAL	{ -1 }
+        	::= { aclv6L3RuleEntry 21 }       	
+           
+        aclv6L3RuleAction OBJECT-TYPE 
+           SYNTAX      INTEGER {
+                          allow (1)
+                          ,drop  (2)
+                          ,mirror (3)
+                          ,replaceDSCP(5)     
+                          ,replace1P(6)
+                          ,replaceQueue(7) 
+-- start CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON        
+                          ,replaceVLAN(8)
+-- end CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON
+                       }
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Specifies the action to be taken on the packet if the filter
+              rule matches."
+           DEFVAL  { allow } 
+           ::= { aclv6L3RuleEntry 24 }
+        aclv6L3RuleRateLimit OBJECT-TYPE 
+           SYNTAX      Unsigned32
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Rate limit for matched packet."
+        
+           ::= { aclv6L3RuleEntry 25 }
+        aclv6L3RuleReplaceDSCP OBJECT-TYPE 
+           SYNTAX      Integer32  (-1..63)
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Replace DSCP for matched packet."
+        
+           ::= { aclv6L3RuleEntry 26 }
+           
+        aclv6L3RuleReplace1P OBJECT-TYPE 
+           SYNTAX      Integer32  (-1..7)
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Replace DSCP for matched packet."
+        
+           ::= { aclv6L3RuleEntry 27 }  
+        aclv6L3RuleReplaceQueue OBJECT-TYPE 
+           SYNTAX      Integer32
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Acl IPV6 L3 Rule Replace Queue."
+            ::= { aclv6L3RuleEntry 28 } 
+-- start CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON 
+        aclv6L3RuleReplaceVLAN OBJECT-TYPE 
+           SYNTAX      Integer32  (-1..4094)
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Replace VLAN for matched packet."
+        
+           ::= { aclv6L3RuleEntry 29 }
+-- end CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON
+        aclv6L3RuleFilterTimeRange OBJECT-TYPE
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-create
+           STATUS  current
+           DESCRIPTION
+            "ACL IPV6 L3 Filter Time Range"
+        ::= { aclv6L3RuleEntry 30 }      
+        aclv6L3RulePortList OBJECT-TYPE 
+           SYNTAX      PortList
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Specifies the complete set of ports over which if the packet arrives
+              this filter rule will be applicable."
+ 
+           ::= { aclv6L3RuleEntry 51 }
+                   	       	
+        aclv6L3RuleStatus OBJECT-TYPE 
+           SYNTAX      RowStatus
+           MAX-ACCESS  read-create 
+           STATUS      current 
+           DESCRIPTION 
+                "This object indicates the status of this entry. An entry is
+                created in this table when this object is SET to 'createAndWait'.
+                The entry in this table is used when the status of this object 
+                is SET 'active'. The entry in this table is not used when this 
+                object is SET 'notInService'. An entry created in this table is
+                be deleted when this object is SET 'destroy'."
+           ::= { aclv6L3RuleEntry 99 }
+
+
         -- ------------------------------------------------------------------ 
         -- PacketContent Filter Group --------------------------------------------------
         aclPacketRule       OBJECT IDENTIFIER ::= { companyACLGroup 4 }
@@ -7532,8 +11851,22 @@
                  OCTET STRING, 
               aclPacketRuleOffsetValue4 
                  OCTET STRING, 
-              aclPacketRuleInPortList 
-                 PortList,
+              aclPacketRuleDstMac
+                 MacAddress,
+              aclPacketRuleDstMacMask
+                 MacAddress,
+              aclPacketRuleSrcMac
+                 MacAddress,
+              aclPacketRuleSrcMacMask
+                 MacAddress,
+              aclPacketRuleCTag
+                 OCTET STRING, 
+              aclPacketRuleCTagMask
+                 OCTET STRING, 
+              aclPacketRuleSTag
+                 OCTET STRING, 
+              aclPacketRuleSTagMask
+                 OCTET STRING, 
               aclPacketRuleAction 
                  INTEGER, 
               aclPacketRuleRateLimit 
@@ -7542,16 +11875,34 @@
                  Integer32, 
               aclPacketRuleReplace1P 
                  Integer32, 
+              aclPacketRuleReplaceQueue 
+                 Integer32, 
+-- start CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON 
+              aclPacketRuleReplaceVLAN 
+                 Integer32,
+-- end CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON
+              aclPacketRuleFilterTimeRange 
+                 OCTET STRING,
+              aclPacketRuleInPortList 
+                 PortList,
+			aclPacketRuleOffsetValue1Mask
+			     OCTET STRING,
+			aclPacketRuleOffsetValue2Mask
+			     OCTET STRING,
+			aclPacketRuleOffsetValue3Mask
+				 OCTET STRING,
+			aclPacketRuleOffsetValue4Mask
+			     OCTET STRING, 
               aclPacketRuleStatus
                  RowStatus      
           }
         
         aclPacketAccessID OBJECT-TYPE 
-           SYNTAX      Integer32 (1..65535)
+           SYNTAX      Integer32 (0..250)
            MAX-ACCESS  read-only 
            STATUS      current 
            DESCRIPTION 
-              "Packet Filter rule ID."
+              "Packet Filter rule ID.  0 means auto assign."
            ::= { aclPacketRuleEntry 1 }
             
         aclPacketProfileID OBJECT-TYPE 
@@ -7594,15 +11945,69 @@
               "The filter value of Offset 4."
            ::= { aclPacketRuleEntry 6 }
                       
+        aclPacketRuleDstMac OBJECT-TYPE 
+           SYNTAX      MacAddress
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The filter value of Destination MAC."
+           ::= { aclPacketRuleEntry 7 }
+
+        aclPacketRuleDstMacMask OBJECT-TYPE 
+           SYNTAX      MacAddress
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The filter mask of Destination MAC."
+           ::= { aclPacketRuleEntry 8 }
+
+        aclPacketRuleSrcMac OBJECT-TYPE 
+           SYNTAX      MacAddress
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The filter value of Source MAC."
+           ::= { aclPacketRuleEntry 9 }
+
+        aclPacketRuleSrcMacMask OBJECT-TYPE 
+           SYNTAX      MacAddress
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The filter mask of Source MAC."
+           ::= { aclPacketRuleEntry 10 }
+
+        aclPacketRuleCTag OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The filter value of c-tag."
+           ::= { aclPacketRuleEntry 11 }
+
+        aclPacketRuleCTagMask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The filter mask of c-tag."
+           ::= { aclPacketRuleEntry 12 }
+
+        aclPacketRuleSTag OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The filter value of s-tag."
+           ::= { aclPacketRuleEntry 13 }
                            
-        aclPacketRuleInPortList OBJECT-TYPE 
-           SYNTAX      PortList
+        aclPacketRuleSTagMask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
            MAX-ACCESS  read-write 
            STATUS      current 
            DESCRIPTION 
-              "Specifies the complete set of ports over which this filter is applied
-               for packets ingress at ports in this list." 
-           ::= { aclPacketRuleEntry 7 }
+              "The filter mask of s-tag."
+           ::= { aclPacketRuleEntry 14 }
         
         aclPacketRuleAction OBJECT-TYPE 
            SYNTAX      INTEGER {
@@ -7609,9 +12014,12 @@
                           allow (1)
                           ,drop  (2)
                           ,mirror (3)
-                          ,rateLimit(4)
                           ,replaceDSCP(5)     
                           ,replace1P(6)
+                          ,replaceQueue(7) 
+-- start CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON        
+                          ,replaceVLAN(8)
+-- end CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON
                        }
            MAX-ACCESS  read-write 
            STATUS      current 
@@ -7622,7 +12030,7 @@
               to the forwarding rules.
               If the action is 'drop', the packet will be discarded."
            DEFVAL  { allow } 
-           ::= { aclPacketRuleEntry 8 }
+           ::= { aclPacketRuleEntry 15 }
            
          aclPacketRuleRateLimit OBJECT-TYPE 
            SYNTAX      Unsigned32
@@ -7631,7 +12039,7 @@
            DESCRIPTION 
               "Rate limit for matched packet."
         
-           ::= { aclPacketRuleEntry 9 }
+           ::= { aclPacketRuleEntry 16 }
 
           aclPacketRuleReplaceDSCP OBJECT-TYPE 
            SYNTAX      Integer32  (-1..63)
@@ -7640,7 +12048,7 @@
            DESCRIPTION 
               "Replace DSCP for matched packet."
         
-           ::= { aclPacketRuleEntry 10 }
+           ::= { aclPacketRuleEntry 17 }
            
           aclPacketRuleReplace1P OBJECT-TYPE 
            SYNTAX      Integer32  (-1..7)
@@ -7649,9 +12057,78 @@
            DESCRIPTION 
               "Replace 1p for matched packet."
         
-           ::= { aclPacketRuleEntry 11 }
+           ::= { aclPacketRuleEntry 18 }
+          aclPacketRuleReplaceQueue OBJECT-TYPE 
+           SYNTAX      Integer32 
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Acl Rule Replace Queue."
+        
+           ::= { aclPacketRuleEntry 19 }
+-- start CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON 
+          aclPacketRuleReplaceVLAN OBJECT-TYPE 
+           SYNTAX      Integer32 
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Replace VLAN for matched packet."
+        
+           ::= { aclPacketRuleEntry 20 }
+-- end CAMEO_DLINK_ACL_RULE_REPLACE_VLAN_ON 
+         aclPacketRuleFilterTimeRange OBJECT-TYPE
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-create
+           STATUS  current
+           DESCRIPTION
+            "Acl Filter Time Range"
+        ::= { aclPacketRuleEntry 21 } 
 
-
+           aclPacketRuleInPortList OBJECT-TYPE 
+           SYNTAX      PortList
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Specifies the complete set of ports over which this filter is applied
+               for packets ingress at ports in this list." 
+           ::= { aclPacketRuleEntry 51 }
+     
+        aclPacketRuleOffsetValue1Mask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The filter Mask of Offset 1."
+           DEFVAL  { 'FFFF'h }   
+           ::= { aclPacketRuleEntry 52 }
+           
+		aclPacketRuleOffsetValue2Mask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The filter Mask of Offset 2."
+           DEFVAL  { 'FFFF'h }   
+           ::= { aclPacketRuleEntry 53 }
+           
+		aclPacketRuleOffsetValue3Mask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The filter Mask of Offset 3."
+           DEFVAL  { 'FFFF'h }   
+           ::= { aclPacketRuleEntry 54 }
+           
+		aclPacketRuleOffsetValue4Mask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The filter Mask of Offset 4."
+           DEFVAL  { 'FFFF'h }   
+           ::= { aclPacketRuleEntry 55 }    
+ 
          aclPacketRuleStatus OBJECT-TYPE 
            SYNTAX      RowStatus
            MAX-ACCESS  read-create 
@@ -7663,9 +12140,117 @@
                 is SET 'active'. The entry in this table is not used when this 
                 object is SET 'notInService'. An entry created in this table is
                 be deleted when this object is SET 'destroy'."
-           ::= { aclPacketRuleEntry 12 }    
+           ::= { aclPacketRuleEntry 99 }    
 
+        -- Flow Meter Group --------------------------------------------------
+        aclFlowMeterRule       OBJECT IDENTIFIER ::= { companyACLGroup 10 }
 
+        aclFlowMeterTable OBJECT-TYPE 
+        
+           SYNTAX      SEQUENCE OF AclFlowMeterEntry
+           MAX-ACCESS  not-accessible 
+           STATUS      current 
+           DESCRIPTION 
+               "A table to configure L2 filter rules in the system."
+           ::= { aclFlowMeterRule 1 }
+        
+        aclFlowMeterEntry OBJECT-TYPE 
+           SYNTAX      AclFlowMeterEntry
+           MAX-ACCESS  not-accessible 
+           STATUS      current 
+           DESCRIPTION 
+               "Each entry in this table is a L2 filter rule.
+               Index to the table is the L2 filter number and Profile ID."
+           INDEX {aclFlowMeterProfileID, aclFlowMeterAccessID}
+           ::= { aclFlowMeterTable 1 }
+           
+        AclFlowMeterEntry ::= 
+           SEQUENCE {      
+              aclFlowMeterProfileID 
+                 Integer32, 
+              aclFlowMeterAccessID 
+                 Integer32,   
+              aclFlowMeterRate 
+                 Integer32, 
+              aclFlowMeterBurstSize
+                 Integer32,
+              aclFlowMeterReplaceDscp
+                 Integer32,
+              aclFlowMeterAction 
+                 INTEGER, 
+              aclFlowMeterStatus
+                 RowStatus      
+          }
+        
+        aclFlowMeterProfileID OBJECT-TYPE 
+           SYNTAX      Integer32 (1..50)
+           MAX-ACCESS  read-only  
+           STATUS      current 
+           DESCRIPTION 
+              "ACL Profile ID which this flow meter join."
+           ::= { aclFlowMeterEntry 1 }
+
+        aclFlowMeterAccessID OBJECT-TYPE 
+           SYNTAX      Integer32 (1..250)
+           MAX-ACCESS  read-only 
+           STATUS      current 
+           DESCRIPTION 
+              "ACL Access ID which this flow meter join."
+           ::= { aclFlowMeterEntry 2 }
+           
+        aclFlowMeterRate OBJECT-TYPE 
+           SYNTAX      Integer32 (64..1024000)
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The rate limiter of meter."
+           ::= { aclFlowMeterEntry 3 }
+                      
+        aclFlowMeterBurstSize OBJECT-TYPE 
+           SYNTAX      Integer32 (0..1016)
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The burst size of meter."
+           ::= { aclFlowMeterEntry 4 }        
+         
+         aclFlowMeterReplaceDscp OBJECT-TYPE 
+           SYNTAX      Integer32 (0..63)
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Replace DSCP for matched out-band packets when aclFlowMeterAction is replace DSCP."
+           ::= { aclFlowMeterEntry 5 }   
+        
+        
+        aclFlowMeterAction OBJECT-TYPE 
+           SYNTAX      INTEGER {
+                          drop  (2)      
+                          ,replaceDSCP(5)
+                       }
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Specifies the action to be taken on the out-band packet if the filter
+              rule matches.
+              If the action is 'drop', the packet will be discarded."
+           DEFVAL  { drop } 
+           ::= { aclFlowMeterEntry 6 }
+
+         aclFlowMeterStatus OBJECT-TYPE 
+           SYNTAX      RowStatus
+           MAX-ACCESS  read-create 
+           STATUS      current 
+           DESCRIPTION 
+                "This object indicates the status of this entry. An entry is
+                created in this table when this object is SET to 'createAndWait'.
+                The entry in this table is used when the status of this object 
+                is SET 'active'. The entry in this table is not used when this 
+                object is SET 'notInService'. An entry created in this table is
+                be deleted when this object is SET 'destroy'."
+           ::= { aclFlowMeterEntry 99 }    
+
+
     -- ------------------------------------------------------------------ 
     -- companyCPUInterfaceFilterGroup
     -- ------------------------------------------------------------------
